stages:
  - build
  - test
  - sonarcloud

build:
  stage: build
  image: mcr.microsoft.com/dotnet/sdk:7.0
  script:
    - dotnet restore
    - dotnet build

test:
  stage: test
  image: mcr.microsoft.com/dotnet/sdk:7.0
  script:
    - dotnet test

sonarcloud:
  stage: sonarcloud
  image: sonarsource/sonar-scanner-cli:latest
  script:
    - sonar-scanner
  only:
    - master